It is currently Sun Nov 01, 2020 4:03 am
All times are UTC + 8 hours

[APKG JDownloader2] 2.0-1.4 for ADM 3.x & 2.0-1.5 alternate

JDownloader is a free, open-source download management tool with a huge community of developers that makes downloading as easy and fast as it should be. Users can start, stop or pause downloads, set bandwith limitations, auto-extract archives and much more. It's an easy-to-extend framework that can save hours of your valuable time every day!

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby father.mande » Wed Jun 22, 2016 8:53 pm

Hi,

verify that other tools like media library (I think P.M.S.) use also Java in the background ... (sorry I disable it ... so have to test to retrieve it ... )
do a
ps -eaf | grep java

Philippe.
AS5202T /AS5002T / AS202TE / AS1002T
My Blog specific to my APKG : https://blog.father-mande.ovh/
User avatar
father.mande
 
Posts: 1046
Joined: Sat Sep 12, 2015 2:55 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby LuisLapa » Fri Nov 11, 2016 7:57 am

Hi everyone,
I've bought a AS1004T and was trying to install JDownloader2 in it but in the second part of the installation it never asks me the credentials of the jdownloader account.
Anyone may know what am i doing wrong?

Regards
LuisLapa
 
Posts: 9
Joined: Fri Nov 11, 2016 6:22 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby OSi » Tue Nov 15, 2016 1:07 am

Hey there,
i get these error messages when i try opkg upgrade
Code: Select all
root@homeserver:/volume1/.@root # opkg update ; opkg upgrade
Downloading http://pkg.entware.net/binaries/armv7/Packages.gz.
Updated list of available packages in /opt/var/opkg-lists/packages.
Upgrading terminfo on root from 6.0-1 to 6.0-1b...
Upgrading ldconfig on root from 2.23-4 to 2.23-5...
Upgrading libc on root from 2.23-4 to 2.23-5...
Upgrading locales on root from 2.23-4 to 2.23-5...
Upgrading libpthread on root from 2.23-4 to 2.23-5...
Upgrading libstdcpp on root from 5.3.0-4 to 5.4.0-5...
Upgrading libgcc on root from 5.3.0-4 to 5.4.0-5...
Upgrading librt on root from 2.23-4 to 2.23-5...
Upgrading libssp on root from 5.3.0-4 to 5.4.0-5...
Upgrading entware-opt on root from 222108-2 to 222108-5...
Collected errors:
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg terminfo needs 6
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg ldconfig needs 287
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg libc needs 1185
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg locales needs 633
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg libpthread needs 39
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg libstdcpp needs 386
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg libgcc needs 19
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg librt needs 12
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg libssp needs 4
 * verify_pkg_installable: Only have 0kb available on filesystem /opt, pkg entware-opt needs 2

Have not tried further yet.
OSi
 
Posts: 2
Joined: Tue Nov 15, 2016 1:03 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby LuisLapa » Tue Nov 15, 2016 1:19 am

use this option
opkg --force-space upgrade
LuisLapa
 
Posts: 9
Joined: Fri Nov 11, 2016 6:22 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby OSi » Tue Nov 15, 2016 1:37 am

Ok now I'm in the same boat as you.
No credentials were asked. AS1004T too btw. :shock:
OSi
 
Posts: 2
Joined: Tue Nov 15, 2016 1:03 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby father.mande » Tue Nov 15, 2016 4:11 pm

Hi,
Arm model problem ...
I will have a look ... I had run some tests ... and put my 1002T in an unstable state
Please wait ...

did you have a log file in /usr/local/AppCentral/jdownloader/log
did you have an error on screen when running the init.sh script ?
did you have any log message in Asustor log ?

Philippe.
AS5202T /AS5002T / AS202TE / AS1002T
My Blog specific to my APKG : https://blog.father-mande.ovh/
User avatar
father.mande
 
Posts: 1046
Joined: Sat Sep 12, 2015 2:55 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby LuisLapa » Tue Nov 15, 2016 6:39 pm

Hi Philippe,

did you have a log file in /usr/local/AppCentral/jdownloader/log
I've a jd.out file when i enable the app.
do you want me to send it to you?

did you have an error on screen when running the init.sh script ?
No error, this is the last message it gives on the proccess.
|---------------------------Headless Information-------------------------------
| Restart Required
| JDownloader Updated and restarted itself.
| The process restarted itself and runs now in the background: 1177@HOBBESNAS
| If you do not want JD to restart itself, use the -norestart switch.
|------------------------------------------------------------------------------
try to kill java process
now end of process

did you have any log message in Asustor log ?
Nothing on Asustor, except for the message to run the init.sh

Thanks for trying to help on this.
LuisLapa
 
Posts: 9
Joined: Fri Nov 11, 2016 6:22 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby father.mande » Wed Nov 16, 2016 12:05 am

Hi,

After some test ... the problem is linked to somethings in the auto update
... update never end (so no question on credentials) no more "forcing" credentials in config json file

same problem exist on other Armhf NAS brand (so not linked to Arm Asustor models.)

I have to try a private JRE to eliminate a problem of non updated JRE provide by Asustor
... put perhaps a fault in Jdownloader

so for the moment "no way".

Philippe.
NB from my zenfone2 due to break of my Internet connection
AS5202T /AS5002T / AS202TE / AS1002T
My Blog specific to my APKG : https://blog.father-mande.ovh/
User avatar
father.mande
 
Posts: 1046
Joined: Sat Sep 12, 2015 2:55 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby father.mande » Wed Nov 16, 2016 4:44 am

Hi,

Seem I have WORKAROUND the problem using a "private JRE 1.8.0_111" in place of the java provide for now ...
... tested on ARM model AS1002T

The manual install works as well
... first java run
... kill after some time (but using --norestart ... prevent to have to do it)
... start again
... credentials are require as usual
Code: Select all
|---------------------------Headless Information-------------------------------
|       MyJDownloader Setup
|       Your 'My JDownloader' logins are not correct.
|       Please check username/email and password!
|       Enter y -> Enter Logins
|       Enter n -> Exit JDownloader
y
|       Please Enter your MyJDownloader Email:
xxxxx@yyyyyl.com
|       Please Enter your MyJDownloader Password:

|------------------------------------------------------------------------------

connection and settings using MyJDownloader works as well
... just a short remark some error occurs but (for my limited tests) without any impact
Code: Select all
java.io.IOException: Internal TLS error, this could be an attack

2 times then no more ...

I will prepare a new version for ARMHF including my own JAVA (except if Asustor is able to update java quickly. or I can provide an update for official JAVA (BUT in this case break the Asustor roadmap and workflow ... and perhaps generate other problems due to JAVA_HOME and PATH ... so not a good idea

Be patient ... I am always impress by the lack of responsibility of developer when some architecture are not their best target ...

Philippe.
NB for others tester (if you know how-to and what you do) just download last update of java (minus one versus Windows or Linux x86), extract in safe place ... adapt PATH to use jre bin and add JAVA_HOME, then proceed step by step to a manual install.
AS5202T /AS5002T / AS202TE / AS1002T
My Blog specific to my APKG : https://blog.father-mande.ovh/
User avatar
father.mande
 
Posts: 1046
Joined: Sat Sep 12, 2015 2:55 am

Re: [APKG JDownloader2 2.0-1.3] I am NOT a user ONLY integrator !!

Postby LuisLapa » Wed Nov 16, 2016 5:33 am

Thanks for this.
Not quite comfortable in this so I'll be waiting for your update.

Sent from my SM-G935F using Tapatalk
LuisLapa
 
Posts: 9
Joined: Fri Nov 11, 2016 6:22 am

PreviousNext

Return to Jdownloader2

  • You cannot post new topics in this forum
    You cannot reply to topics in this forum
    You cannot edit your posts in this forum
    You cannot delete your posts in this forum
    You cannot post attachments in this forum
  • Who is online

    Users browsing this forum: No registered users and 1 guest